
#ifndef BOX_H
#define BOX_H

#include "coordinate3D.h"

#include <math.h>
#include <stdio.h>
#include <stdlib.h>

class Box {

 public:
  Box(Coordinate3D* o, float w, float h, float d);
  ~Box();

  Coordinate3D* getOrigin();
  float getWidth();
  float getHeight();
  float getDepth();
  float getVolume();
  Coordinate3D* getRandomCoord3D();
  Box* clone();

 private:
  Coordinate3D* origin;
  float width;
  float height;
  float depth;
  
};

#endif
