
#ifndef ELEMENTBUILDER_H
#define ELEMENTBUILDER_H

#include "element.h"

#include <stdio.h>
#include <string.h>

class ElementBuilder {

 public:
  ElementBuilder();
  ~ElementBuilder();

  Element* getElement(char* symbol);
  Element* getH();
  Element* getC();
  Element* getN();
  Element* getO();
  Element* getF();
  Element* getNa();
  Element* getMg();
  Element* getAl();
  Element* getSi();
  Element* getP();
  Element* getS();
  Element* getCl();
  Element* getK();
  Element* getCa();
  Element* getMn();
  Element* getFe();
  Element* getCo();
  Element* getNi();
  Element* getCu();
  Element* getZn();
  Element* getBr();
  Element* getMo();
  Element* getI();

 private:
  enum {H, C, N, O, F, NA, MG, AL, SI, P, S, CL, K,
	CA, MN, FE, CO, NI, CU, ZN, BR, MO, I};
  Element** elements;
  int elementCount;

};

#endif
