
#ifndef GROUPID_H
#define GROUPID_H


/**
 * Common ID object for groups of nodes.
 */
class GroupId {

 public:
  /**
   * Constructor.
   */
  GroupId(int i) :
    id(i) {
    return;
  }

  /**
   * Destructor.
   */
  ~GroupId() {
    return;
  }


  /**
   * Bets the ID.
   * @return int: ID.
   */
  int getId() {
    return id;
  }

  /**
   * Sets the ID.
   * @param i int: value to set ID to.
   * @return int: 0 on fail, 1 on success.
   */
  int setId(int i) {
    id = i;
    return 1;
  }

 private:
  int id;

};

#endif
